/*
 * Copyright 2018 nekocode (nekocode.cn@gmail.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cn.nekocode.items.data;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

/**
 * @author nekocode (nekocode.cn@gmail.com)
 */
public class ItemData<T> {
    private T mData;
    private int mDataType;
    private Object mExtra;


    public ItemData(@NonNull T data, int dataType) {
        this.mData = data;
        this.mDataType = dataType;
    }

    @NonNull
    public T getData() {
        return mData;
    }

    public int getDataType() {
        return mDataType;
    }

    @Nullable
    public Object getExtra() {
        return mExtra;
    }

    public void setExtra(@Nullable Object mExtra) {
        this.mExtra = mExtra;
    }
}
